CVE-2019-8842

Published: 27 October 2020

A buffer overflow was addressed with improved bounds checking. This issue is fixed in macOS Catalina 10.15.2, Security Update 2019-002 Mojave, and Security Update 2019-007 High Sierra. In certain configurations, a remote attacker may be able to submit arbitrary print jobs.

Priority

Low

CVSS 3 base score: 3.3

Status

Package Release Status
cups
Launchpad, Ubuntu, Debian
Upstream
Released (2.3.1-12)
Ubuntu 21.04 (Hirsute Hippo) Not vulnerable
(2.3.3-2)
Ubuntu 20.04 LTS (Focal Fossa) Needed

Ubuntu 18.04 LTS (Bionic Beaver) Needed

Ubuntu 16.04 ESM (Xenial Xerus) Needed

Ubuntu 14.04 ESM (Trusty Tahr) Does not exist

Patches:
Upstream: https://github.com/apple/cups/commit/82e3ee0e3230287b76a76fb8f16b92ca6e50b444